aboutsummaryrefslogtreecommitdiffstats
path: root/standalone/bash/fetch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'standalone/bash/fetch.sh')
-rwxr-xr-xstandalone/bash/fetch.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/standalone/bash/fetch.sh b/standalone/bash/fetch.sh
new file mode 100755
index 0000000..b1b77e8
--- /dev/null
+++ b/standalone/bash/fetch.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+if [ ! -d android_external_bash-cm-14.1 ]; then
+ curl -L -o bash.zip https://github.com/LineageOS/android_external_bash/archive/cm-14.1.zip
+ unzip bash.zip
+ rm bash.zip
+fi
+
+if [ ! -d android_external_libncurses-cm-14.1 ]; then
+ curl -L -o ncurses.zip https://github.com/LineageOS/android_external_libncurses/archive/cm-14.1.zip
+ unzip ncurses.zip
+ rm ncurses.zip
+fi